Skip to main content
`Ctrl`+`K`

# TimeBesselianEpoch

class astropy.time.TimeBesselianEpoch(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `TimeEpochDate`

  Besselian Epoch year as decimal value(s) like 1950.0.

  For information about this epoch format, see: https://en.wikipedia.org/wiki/Epoch_(astronomy)#Besselian_years.

  The astropy Time class uses the ERFA functions `epb2jd` and `epb` to convert between Besselian epoch years and Julian dates. This is roughly equivalent to the following formula (see the wikipedia page for the reference):

      B = 1900.0 + (Julian date - 2415020.31352) / 365.242198781

  Since for this format the length of the year varies, input needs to be floating point; it is not possible to use Quantity input, for which a year always equals 365.25 days.

  The Besselian epoch year is used for expressing the epoch or equinox in older source catalogs, but it has been largely replaced by the Julian epoch year.

  Attributes Summary

  `epoch_to_jd` |
  `in_subfmt` |
  `jd1` |
  `jd2` |
  `jd_to_epoch` |
  `name` |
  `out_subfmt` |
  `precision` |
  `scale` | Time scale.
  `subfmts` |
  `value` | Return time representation from internal jd1 and jd2.

  Methods Summary

  `fill_value`(subfmt) | Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.
  `set_jds`(val1, val2) | Set internal jd1 and jd2 from val1 and val2.
  `to_value`(**kwargs) | Return time representation from internal jd1 and jd2.

  Attributes Documentation

  epoch_to_jd = 'epb2jd'
  in_subfmt
  jd1
  jd2
  jd_to_epoch = 'epb'
  name = 'byear'
  out_subfmt
  precision
  scale

    Time scale.

  subfmts = (('float', <class 'numpy.float64'>, None, <ufunc 'add'>), ('long', <class 'numpy.longdouble'>, <function longdouble_to_twoval>, <function twoval_to_longdouble>), ('decimal', <class 'numpy.object_'>, <numpy.vectorize object>, <numpy.vectorize object>), ('str', <class 'numpy.str_'>, <numpy.vectorize object>, <numpy.vectorize object>), ('bytes', <class 'numpy.bytes_'>, <numpy.vectorize object>, <numpy.vectorize object>))
  value

  Methods Documentation

  classmethod fill_value(subfmt)

    Return a value corresponding to J2000 (2000-01-01 12:00:00) in this format.

    This is used as a fill value for masked arrays to ensure that any ERFA operations on the masked array will not fail due to the masked value.

  set_jds(val1, val2)

    Set internal jd1 and jd2 from val1 and val2. Must be provided by derived classes.

  to_value(**kwargs)

    Return time representation from internal jd1 and jd2. Subclasses that require `parent` or to adjust the jds should override this method.